from cross import *

import time

def main():
	
	CN1 = "localhost"
	CN2 = "40000"

	SetCrossShellLocation(CN1,CN2)

	p = Parameter(2)
	currentParameters = Parameter(2)
	o = Observable(2)
	u = Utility(2)

	u[0].name = "ber"


	for i in range(0,40):
		if i is 0:
			currentParameters[0].name = "Txpower"
			currentParameters[0].value = 1.0
		
			currentParameters[1].name = "Modscheme"
			currentParameters[1].value = 4.0
		else:
			currentParameters[0].value = p[0].value
			currentParameters[1].value = p[1].value

		print "Application:: Requesting parameter optimization"
	
		p = GetOptimalParameters(o,0,currentParameters,2,u,1)

		print "parameters : " + p[0].name + " : " + str(p[0].value) + "	"
		print "parameters : " + p[1].name + " : " + str(p[1].value) + "\n"

		print "Application:: Receiving the following parameters.\n"
	
		u1 = (p[0].value)/30

		u2 = (p[1].value)/10

		u[0].value = 1 - (u1 - u2)

		print "utilities " + u[0].name + " = " + str(u[0].value) + "\n"

		time.sleep(0.5)

		UpdateParameterPerformance(p,2,o,0,u,1)

if __name__ == "__main__" :
	main()

